import http from "@/apis/user/axios";
import urlConfig from "@/apis/url-config";
// 登录
export function login(data) {
  return http({
    url: `${urlConfig.baseURL}/abutment/login`,
    method: "post",
    data,
  });
}
// 获取个人信息
export function userinfo(data) {
  return http({
    url: `${urlConfig.baseURL}admin/userinfo`,
    method: "post",
    data,
  });
}
// 获取用户权限导航列表
export function menuList(data) {
  return http({
    url: `${urlConfig.baseURL}admin/menu`,
    method: "post",
    data,
  });
}
// 钉钉获取用户信息
export function dingdingdetail(data) {
  return http({
    url: `${urlConfig.userURL}Api/dintalk`,
    method: "post",
    data,
  });
}
// 获取账号业务设置
export function usergetinfo(data) {
  return http({
    url: `${urlConfig.baseURL}abutment/getUserInfo`,
    method: "post",
    data,
  });
}
// 获取角色流程节点详情
export function roleProcessInfo(data) {
  return http({
    url: `${urlConfig.baseURL}admin/role_process_detail`,
    method: "post",
    data,
  });
}
